Перейти к содержанию

Ansible, ssh и macOS — во всем виновата библиотека sshpass

При попытке запуска плейбука получал следующую ошибку на macOS

fatal: [x.x.x.x]: FAILED! => {«msg»: «to use the ’ssh’ connection type with passwords, you must install the sshpass program»}

Для установки данной библиотеки следует использовать команду ниже

brew install https://raw.githubusercontent.com/kadwanev/bigboybrew/master/Library/Formula/sshpass.rb

После этого все возвращается на свои места — ошибки больше не увидим

Опубликовано в рубрикеOrchestration

Оставьте первый коментарий

    Добавить комментарий

    Ваш адрес email не будет опубликован.